// EConsole.h
// A module for communicating with the edge message console
//
// Copyright (c) 2004-2006 Elements Interactive B.V.
// http://www.edgelib.com
///////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////
// Library definition                                            //
///////////////////////////////////////////////////////////////////

#ifdef  EDGE_INCLUDED     //Can only be included by the main engine
#ifndef ECONSOLE_INCLUDED //Make sure the module isn't included multiple times
#define ECONSOLE_INCLUDED

///////////////////////////////////////////////////////////////////
// Classes                                                       //
///////////////////////////////////////////////////////////////////

class ClassEConsole
{
	private:
		ECOREOBJ curinst;
		#if defined(DEVICE_DESKTOP)
			HINSTANCE hinst;
			HWND cwnd;
			bool regclass;
		#endif
	public:
		#if defined(DEVICE_DESKTOP)
			HWND ewnd;
		#endif
		ClassEConsole(void);
		~ClassEConsole(void);
		void LinkInstance(ECOREOBJ instance, ENATIVETYPE prginst);
		#if defined(DEVICE_DESKTOP)
			void ActivateWindow(bool close = false);
			void OnResize(HWND hwnd);
		#endif
		void Empty(void);
		void ShowMsg(char *msg, bool newline = true);
		void ShowMsg(WCHAR *msg, bool newline = true);
		void ShowMsg(int value, bool newline = true);
		void static MsgWindow(char *msg, char *caption = NULL);
		void static MsgWindow(WCHAR *msg, WCHAR *caption = NULL);
		void static MsgWindow(long value, char *caption = NULL);
};//The console class

#endif
#endif
