// Edgerender.h
// The Edge render implementation
//
// Copyright (c) 2004-2006 Elements Interactive B.V.
// http://www.edgelib.com
///////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////
// Library definition                                            //
///////////////////////////////////////////////////////////////////

#ifdef  EDGE_INCLUDED     //Can only be included by the main engine
#ifndef ERENDER_INCLUDED  //Make sure the header isn't included multiple times
#define ERENDER_INCLUDED

#pragma comment(lib, "edgerender.lib")

///////////////////////////////////////////////////////////////////
// BltFast prototype list                                        //
///////////////////////////////////////////////////////////////////

//BltFast parameters
#define BLTFAST_PARAMS long w, long h, unsigned char *dst, unsigned char *src, unsigned long dstpitch, unsigned long srcpitch, unsigned long colorkey, unsigned long colorize, unsigned long opacity

//Implementation
bool ERdrBltFast8_ck(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf(BLTFAST_PARAMS);
bool ERdrBltFast8_tn(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn(BLTFAST_PARAMS);
bool ERdrBltFast8_cl(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl(BLTFAST_PARAMS);
bool ERdrBltFast8_op(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_op(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_op(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast8_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast8_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast8_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast8_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cf_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast8_ck_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf(BLTFAST_PARAMS);
bool ERdrBltFast12_tn(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn(BLTFAST_PARAMS);
bool ERdrBltFast12_cl(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl(BLTFAST_PARAMS);
bool ERdrBltFast12_op(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_op(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_op(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast12_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast12_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast12_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast12_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cf_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast12_ck_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf(BLTFAST_PARAMS);
bool ERdrBltFast16_tn(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn(BLTFAST_PARAMS);
bool ERdrBltFast16_cl(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl(BLTFAST_PARAMS);
bool ERdrBltFast16_op(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_op(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_op(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast16_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast16_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast16_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast16_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cf_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast16_ck_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf(BLTFAST_PARAMS);
bool ERdrBltFast32_tn(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn(BLTFAST_PARAMS);
bool ERdrBltFast32_cl(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl(BLTFAST_PARAMS);
bool ERdrBltFast32_op(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_op(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_op(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_op(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_op(BLTFAST_PARAMS);
bool ERdrBltFast32_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_op_ad(BLTFAST_PARAMS);
bool ERdrBltFast32_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_op_sb(BLTFAST_PARAMS);
bool ERdrBltFast32_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_ad_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_sb_ol(BLTFAST_PARAMS);
bool ERdrBltFast32_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_ad_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cf_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_tn_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_cl_sb_oh(BLTFAST_PARAMS);
bool ERdrBltFast32_ck_cl_sb_oh(BLTFAST_PARAMS);

///////////////////////////////////////////////////////////////////
// BltFlip prototype list                                        //
///////////////////////////////////////////////////////////////////

//BltFlip parameters
#define BLTFLIP_PARAMS long xadd, long yadd, long w, long h, unsigned char *dst, unsigned char *src, unsigned long dstpitch, unsigned long srcpitch, unsigned long colorkey, unsigned long colorize, unsigned long opacity

//Implementation
bool ERdrBltFlip8_(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip8_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip8_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip8_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cf_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip8_ck_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip12_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip12_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip12_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cf_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip12_ck_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip16_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip16_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip16_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cf_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip16_ck_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl(BLTFLIP_PARAMS);
bool ERdrBltFlip32_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_op(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_op_ad(BLTFLIP_PARAMS);
bool ERdrBltFlip32_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_op_sb(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_ad_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_sb_ol(BLTFLIP_PARAMS);
bool ERdrBltFlip32_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_ad_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cf_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_tn_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_cl_sb_oh(BLTFLIP_PARAMS);
bool ERdrBltFlip32_ck_cl_sb_oh(BLTFLIP_PARAMS);

///////////////////////////////////////////////////////////////////
// Include preset                                                //
///////////////////////////////////////////////////////////////////

#if defined(EDGERENDER_LITE)
	#include "edgerender\\erdr_lite.h"
#elif defined(EDGERENDER_FULL)
	#include "edgerender\\erdr_full.h"
#elif !defined(EDGERENDER_CUSTOM)
	#include "edgerender\\erdr_default.h"
#endif

#endif
#endif
