// Netapi.h
// Extended API's related to networking
//
// Copyright (c) 2004-2006 Elements Interactive B.V.
// http://www.edgelib.com
///////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////
// Library definition                                            //
///////////////////////////////////////////////////////////////////

#ifdef  EDGE_INCLUDED     //Can only be included by the main engine
#ifndef ENETAPI_INCLUDED  //Make sure the API definition file isn't included multiple times
#define ENETAPI_INCLUDED

///////////////////////////////////////////////////////////////////
// Classes                                                       //
///////////////////////////////////////////////////////////////////

class ClassENetCapture
{
	friend class ClassEConnect;
	protected:
		ClassEConnect *net;
		virtual void OnNetMessage(long id, long msg, long bufsize, unsigned char *buffer) = 0;
	public:
		virtual ~ClassENetCapture(void){ };
};//The network data capture class for derivation

class ClassClickPayGo : public ClassENetCapture
{
	private:
		ClassEdge *edge;
		EHTTPStack stack;
		char dkey[33];
		char dsecret[32];
		char cpguser[128];
		char cpgpass[64];
		char purchaseitem[128];
		char purchasecurrency[4];
		char receiptcode[33];
		ETYPE_MONEY purchaseprice;
		long lasterror;
		unsigned char requeststatus;
		unsigned char realstatus;
		bool debugmode;
		void RequestToken(void);
		void RequestBalanceFromToken(char *token);
		void RequestGrossPriceFromToken(char *token);
		void RequestVATPercFromToken(char *token);
		void RequestTransactionFromToken(char *token);
		void RequestValidationFromToken(char *token);
		void CheckStack(void);
	protected:
		void OnNetMessage(long id, long msg, long bufsize, unsigned char *buffer);
	public:
		ClassClickPayGo(void);
		~ClassClickPayGo(void);
		void Init(ClassEdge *pedge, ClassEConnect *net, char *licensekey, char *secret);
		void RequestBalance(char *username, char *password, bool debug = false);
		void RequestGrossPrice(char *username, ETYPE_MONEY itemprice, bool debug = false);
		void RequestVATPercentage(char *username, bool debug = false);
		void RequestTransaction(char *username, char *password, char *itemdesc, ETYPE_MONEY itemprice, char *itemcurrency, bool debug = false);
		void ValidateTransaction(bool debug = false);
		void GetErrorMessage(long errcode, char *errormsg);
};//The ClickPayGo API implementation from Chillingo Ltd.

#endif
#endif
